UnsuccessfulReplyException
Keywords: uk.ac.ic.doc.automed.p2p.UnsuccessfulReplyException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class UnsuccessfulReplyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              uk.ac.ic.doc.automed.AutoMedException
                  uk.ac.ic.doc.automed.p2p.UnsuccessfulReplyException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ErrorReplyException, FailReplyException, IllegalReplyException

    public class UnsuccessfulReplyException

extends AutoMedException

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Constructor Summary
`UnsuccessfulReplyException()`
`UnsuccessfulReplyException(AbstractMessage message)`
`UnsuccessfulReplyException(java.lang.String context, java.lang.String description)`
`UnsuccessfulReplyException(java.lang.String msg, java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getContext()`
`java.lang.String` | `getDescription()`

Methods inherited from class uk.ac.ic.doc.automed.AutoMedException
`getCause, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsuccessfulReplyException

    public UnsuccessfulReplyException()

### UnsuccessfulReplyException

    public UnsuccessfulReplyException(java.lang.String context,
                                      java.lang.String description)

### UnsuccessfulReplyException

    public UnsuccessfulReplyException(AbstractMessage message)

### UnsuccessfulReplyException

    public UnsuccessfulReplyException(java.lang.String msg,
                                      java.lang.Throwable t)

Method Detail

### getContext

    public java.lang.String getContext()

### getDescription

    public java.lang.String getDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD